[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBits.AndBits

Performs an and operation on the bits.

## Declaration

Source position: classesh.inc line 406

`public procedure TBits.AndBits(`
`BitSet: TBits`
`);`

## Description

andbits performs an and operation on the bits in the array with the bits of array BitSet. If BitSet contains less bits than the current array, then all bits which have no counterpart in BitSet are cleared.

## Errors

None.

## See also

ClearAll |  | Clears all bits in the array.
OrBits |  | Performs an or operation on the bits.
XOrBits |  | Performs a xor operation on the bits.
NotBits |  | Performs a not operation on the bits.